#include <bits/stdc++.h>

using namespace std;
using ll = long long;

vector<int> getVisionPattern1d() { return (vector < int >){1, 2, 3}; }

int getMove1d(vector<int> v) {
    int n = (int)v.size() / 2;
    int m = (n == 3 ? 1 : n + 1);
    for (int i : {n - 1, n + 1}) if (v[i] == m) return i;
    return 0;
}